org.keycloak.models.map.userSession

## Class AbstractUserSessionModel

- java.lang.Object
- - org.keycloak.models.map.userSession.AbstractUserSessionModel

- All Implemented Interfaces:
    UserSessionModel
  Direct Known Subclasses:
    MapUserSessionAdapter

      public abstract class AbstractUserSessionModel
      extends Object
      implements UserSessionModel

  Author:
    Martin Kanis

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserSessionModel

      `UserSessionModel.SearchableFields, UserSessionModel.SessionPersistenceState, UserSessionModel.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MapUserSessionEntity` | `entity`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

    - ### Fields inherited from interface org.keycloak.models.UserSessionModel

      `CORRESPONDING_SESSION_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractUserSessionModel(KeycloakSession session, RealmModel realm, MapUserSessionEntity entity)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserSessionModel

      `getAuthenticatedClientSessionByClient, getAuthenticatedClientSessions, getAuthMethod, getBrokerSessionId, getBrokerUserId, getId, getIpAddress, getLastSessionRefresh, getLoginUsername, getNote, getNotes, getRealm, getStarted, getState, getUser, isOffline, isRememberMe, removeAuthenticatedClientSessions, removeNote, restartSession, setLastSessionRefresh, setNote, setState`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### realm

          protected final RealmModel realm

    - #### entity

          protected final MapUserSessionEntity entity

  - ### Constructor Detail

    - #### AbstractUserSessionModel

          public AbstractUserSessionModel(KeycloakSession session,
                                          RealmModel realm,
                                          MapUserSessionEntity entity)

Copyright © 2021 JBoss by Red Hat. All rights reserved.